# Manifest (.mf file)

The package (zip) should have a a directroy with a META-INF dir, that dir has a MANIFEST.MF file that describes what the package contains.

It is or a component package (Package-Type: Web-Component) or a service package (Package-Type: Web-Service).

Some stuff can also be defined in the \[spec file]\(./spec-file.md#Definition and basic structure), service mostly define stuff in the spec file, like modulename,entrypoint, css libs, and components in the manifest.

the format:\
**manifest file definition**

```
Manifest-Version: 1.0
NG2-CSS-ClientLibs: A link to an assets, inside node modules/npm packages, like css that shouild always be included when this package is included, multiply seperated by ; (can also be per component see the spec file definition NG2Config) (TiNG)
NPM-PackageName: The name (package.json) of the project (TiNG)
NG2-Module: The module this package exports (TiNG)
Entry-Point: Point to a dir of the build artifacts which contains the package (package.json file) (TiNG)
CSS-ClientLibs: A list of css files seperated by ; that needs to be included in the NG1 client.
CSS-DesignLibs: A css that needs to be included in the designer.
Bundle-SymbolicName: The id/name of the package
Bundle-Version: The Version of the package
Bundle-Name: The displayed name.
Package-Type: The type (Web-Component or Web-Service)
JS-ClientLibs: A list of css files seperated by ; that needs to be included in the NG1 client.
```

after this there are sets of 2 lines of all the spec files (component or service) that are included in this package:

Name: directory/name.spec\
Web-Service: True

or

Name: directory/name.spec\
Web-Component: True


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/extension-dev/component_services/manifest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
